View Issue Details

IDProjectCategoryView StatusLast Update
0000297Bacula-Webbug-phppublic2019-04-15 12:33
ReporterdarmAssigned Todavide 
PrioritylowSeverityminorReproducibilitysometimes
Status closedResolutionfixed 
Product Version8.3.0 
Target Version8.3.1Fixed in Version8.3.1 
Summary0000297: Errors on restore jobs level in jobs report page
DescriptionSome levels of restorations, show an empty level in the Jobs. And this can be corrected by adding in the scripts: /application/views/jobs.view.php

if(isset($job_levels[$job['level']]))

before:

$job['level'] = $job_levels[$job['level']];

Like this:

if(isset($job_levels[$job['level']]))
     $job['level'] = $job_levels[$job['level']];

I attach two images, one that shows the error and the other without the error. After adding the line.
TagsNo tags attached.

Activities

darm

2019-03-28 15:15

reporter  

bweb_notice_error_1.png (107,216 bytes)
bweb_notice_error_1.png (107,216 bytes)

davide

2019-04-01 09:08

manager   ~0001011

Last edited: 2019-04-04 16:49

View 2 revisions

Hello @darm,

I'm just wondering why we should display the level of restore jobs in Bacula-Web.
I might be wrong, but to me, the level for a restore job doesn't make sense, as it's always Full.

What do you think ?

darm

2019-04-03 17:50

reporter   ~0001012

That's right Davide, but sometimes the job level is blank. And my contribution is just to avoid the warning of type notice

davide

2019-04-04 16:51

manager   ~0001013

Hi @darm,

So if you don't mind, I'll simply display 'n/a' for restore jobs level in next release.

Thanks for your precious contribution, really appreciated.

davide

2019-04-15 12:32

manager   ~0001014

Bug fixed in commit https://github.com/bacula-web/bacula-web/commit/86a6ff5bc333330c8f224e238bd7af67b830b3bb

davide

2019-04-15 12:33

manager   ~0001015

bug fixed.

Thanks again @darm for your contribution

Issue History

Date Modified Username Field Change
2019-03-28 15:15 darm New Issue
2019-03-28 15:15 darm File Added: bweb_notice_error_1.png
2019-03-28 15:15 darm File Added: bweb_notice_error_1_solv.png
2019-04-01 09:06 davide Assigned To => davide
2019-04-01 09:06 davide Status new => assigned
2019-04-01 09:08 davide Status assigned => feedback
2019-04-01 09:08 davide Note Added: 0001011
2019-04-03 17:50 darm Note Added: 0001012
2019-04-03 17:50 darm Status feedback => assigned
2019-04-04 16:49 davide Note Edited: 0001011 View Revisions
2019-04-04 16:51 davide Note Added: 0001013
2019-04-04 16:52 davide Summary Notice error, in Jobs Reports => Errors on restore jobs level in jobs report page
2019-04-15 12:25 davide Target Version => 8.3.1
2019-04-15 12:32 davide Note Added: 0001014
2019-04-15 12:33 davide Status assigned => closed
2019-04-15 12:33 davide Resolution open => fixed
2019-04-15 12:33 davide Fixed in Version => 8.3.1
2019-04-15 12:33 davide Note Added: 0001015